Skip to content

Full-text search

GET
/search

Search across fundraisers, organizations, and users with PostgreSQL tsvector.

Parameters

Query Parameters

q*

Search query

Type
string
Required
type

Limit to a specific resource type

Type
string
Valid values
"fundraisers""organizations""users"
limit
Type
integer
Default
20
offset
Type
integer
Default
0

Responses

Search results

application/json
JSON
{
"fundraisers": [
{
"id": "string",
"title": "Help Support Local Food Bank",
"description": "string",
"goal": 50000,
"raised": 12500,
"status": "active",
"category_id": "string",
"cover_image": "string",
"location": "Austin, TX",
"tags": [
"string"
],
"owner_id": "string",
"slug": "help-support-local-food-bank",
"days_left": 0,
"donor_count": 0,
"end_date": "string",
"created_at": "string",
"updated_at": "string"
}
],
"total": 0
}

Playground

Server
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Built with VitePress